package com.bcxin.ars.model.approve;

import com.bcxin.ars.model.BaseModel;

import java.util.Date;

/**
 * @author：wangcy @date：2018/01/16 0016 20:21
 * @description：审批模板实体
 */
public class ApproveTemp extends BaseModel {
	/**
	 * 模板名称
	 */
	private String tempName;
	/**
	 * 图标url
	 */
	private String iconUrl;
	/**
	 * 审批类型
	 */
	private String approveType;
	/**
	 * 生效时间
	 */
	private Date effectTime;
	/**
	 * 失效时间
	 */
	private Date failureTime;
	/**
	 * 审批配置状态
	 */
	private String approveSetStatus;
	/**
	 * 信息通知模板
	 */
	private String noticeTemp;
	/**
	 * 审批打回说明
	 */
	private String repulseExplain;
	/**
	 * 顺序
	 */
	private Integer seq;
	/**
	 * 审批组Id
	 */
	private Long approveGroupId;

	/**
	 * 模板编码(activiti使用)
	 */
	private String tempCode;

	/**
	 * 公安单位Id
	 */
	private Long policeId;
	/**
	 * 父公安单位Id
	 */
	private Long parentPoliceId;

	/**
	 * 父模板Id
	 */
	private Long parentTempId;

	public String getTempName() {
		return tempName;
	}

	public void setTempName(String tempName) {
		this.tempName = tempName;
	}

	public String getIconUrl() {
		return iconUrl;
	}

	public void setIconUrl(String iconUrl) {
		this.iconUrl = iconUrl;
	}

	public String getApproveType() {
		return approveType;
	}

	public void setApproveType(String approveType) {
		this.approveType = approveType;
	}

	public Date getEffectTime() {
		return effectTime;
	}

	public void setEffectTime(Date effectTime) {
		this.effectTime = effectTime;
	}

	public Date getFailureTime() {
		return failureTime;
	}

	public void setFailureTime(Date failureTime) {
		this.failureTime = failureTime;
	}

	public String getApproveSetStatus() {
		return approveSetStatus;
	}

	public void setApproveSetStatus(String approveSetStatus) {
		this.approveSetStatus = approveSetStatus;
	}

	public String getNoticeTemp() {
		return noticeTemp;
	}

	public void setNoticeTemp(String noticeTemp) {
		this.noticeTemp = noticeTemp;
	}

	public String getRepulseExplain() {
		return repulseExplain;
	}

	public void setRepulseExplain(String repulseExplain) {
		this.repulseExplain = repulseExplain;
	}

	public Integer getSeq() {
		return seq;
	}

	public void setSeq(Integer seq) {
		this.seq = seq;
	}

	public Long getApproveGroupId() {
		return approveGroupId;
	}

	public void setApproveGroupId(Long approveGroupId) {
		this.approveGroupId = approveGroupId;
	}

	public String getTempCode() {
		return tempCode;
	}

	public void setTempCode(String tempCode) {
		this.tempCode = tempCode;
	}

	public Long getPoliceId() {
		return policeId;
	}

	public void setPoliceId(Long policeId) {
		this.policeId = policeId;
	}

	public Long getParentPoliceId() {
		return parentPoliceId;
	}

	public void setParentPoliceId(Long parentPoliceId) {
		this.parentPoliceId = parentPoliceId;
	}

	public Long getParentTempId() {
		return parentTempId;
	}

	public void setParentTempId(Long parentTempId) {
		this.parentTempId = parentTempId;
	}

}
